Subject: bug#19776: 25.0.50; HTML rendering is very slow

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 24 Oct 2021 16:25:24 +0200

Eli Zaretskii <[email-masked]> writes:

>> (with-delayed-message 2 "Rendering HTML..."
>>   (do-the-hthml-rendering))
>> 
>> the message would be precomposed, so we'd just need to display it in the
>> echo area?
>
> Yes.  And Fmessage is implemented in C anyway.

Right.  I was more thinking of whether to evaluate the text form first
or when displaying it.  I.e., 

  (with-delayed-message 2 (format "This is taking a long time, %s" (user-full-name))
    ...

so this form will have to evaluate that immediately (before starting the
body), but display the results when the atimer runs out.

I'll have a crack at implementing this and see how it goes...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no